Mailinglist Archive: opensuse (4634 mails)

< Previous Next >
Re: [opensuse] Stupid question?
  • From: Jan Engelhardt <jengelh@xxxxxxxxxxxxxxx>
  • Date: Sat, 16 Dec 2006 19:10:31 +0100 (MET)
  • Message-id: <Pine.LNX.4.61.0612161907260.30896@xxxxxxxxxxxxxxx>

>> Will rpms for 10.1 run on 10.2?
>
>It's actually quite sad that all packaging effort in Linux needs
>to be endlessly replicated. Same thing done over and over again
>for years. Time for Novell propose something radical in rpm.org
>(now that it's getting on again)?

Let's say we are happy with the fact that we do not need to carry _all_
over the backwards compatibility stuff like Windows does. We can do it
with a few compat-*.rpms, compat symbols (`nm /lib/libc.so.6 | grep @@`
and you will see). There is no problem with vendors shipping source code
(we can recompile), and even with vendors choosing not doing so provide
quite static binaries (e.g. DialogBlocks, Unreal Tournament) or compat
environments (VMware), which also works. Anything I prefer over the
Compat and DLL Hell in Windows.


-`J'
--
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References